<?
include 'config.php';
include 'func.php';
head();


if ( isset ( $_GET['id'] ) AND isset ( $_GET['pass'] ) ) {
    
    
    $id = num($_GET['id']);
    $pass = html($_GET['pass']);
    
    
} else {
    
    if ( is_numeric($_POST['login']) ) {
        
        $id = html($_POST['login']);
        
        } else {
        
        $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `login` = '".html($_POST['login'])."'"));
        $id = $user['id'];

    }
    $pass = html($_POST['pass']);
    
}

    $user = mysql_fetch_assoc(mysql_query("Select * from `profile` WHERE `id` = '".$id."' && `pass` = '".$pass."'"));
    
    
    if ( $user['id'] != NULL ) {
        
        $_SESSION['id'] = $user['id'];
        
        echo link1 . 'Вы успешно авторизовались' . div;
        
        
        echo link2 . '<b>Автологин:</b><br/ >';
        echo 'Ссылка: http://'.$_SERVER['HTTP_HOST'].'/in.php?id='.$user['id'].'&pass='.$user['pass'].'<br/ >';
        echo 'Скопировать: <input name="avto" type="text" value="http://'.$_SERVER['HTTP_HOST'].'/in.php?id='.$user['id'].'&pass='.$user['pass'].'" />' . div;
        
        echo link2 . '<b>Переход:</b><br/ > <a href="index.php">На сайт</a><br/ > <a href="cabinet.php">Личный кабинет</a>' . div;
        
    } else {
        
        echo link1 . 'Ошибка авторизации' . div;
        
        
        echo link2 . 'Вы ввели не правильный логин либо пароль<br/ ><br/ ><a href="index.php">Повторить?</a>' . div;
        
    }
    
    if ( $_POST['cook'] == 1) {
    
    setcookie("cusr_ps", html($_POST['pass']), time() + 3600 * 24 * 365);
    setcookie("cusr_id", $id, time() + 3600 * 24 * 365);    
    
}
    


navig();
foot();

?>